package com.ekexiu.project.storage.resource.dao;

import com.ekexiu.project.storage.resource.po.Storage;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.SetSentence;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2018/9/11.
 */
@DAO
public interface StorageDao {

    @Insert
    int insert(Connection con, Storage storage) throws SQLException;

    @UpdateWith
    @From(Storage.class)
    @SetSentence("active = '0'")
    int logicDelete(Connection con, String id) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY CREATE_TIME")
     PageQueryResult<Storage> pageQuery(Connection con, @Nullable Boolean active, int pageSize, int pageNo) throws SQLException;

}
