package com.ekexiu.project.storage.resource.po;

import com.ekexiu.project.storage.base.po.CreateTimeSupported;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2018/9/11.
 */
@Table(descp = "医疗影像表")
@PrimaryKey("id")
public class Storage implements CreateTimeSupported {

    private String id;
    private String name;
    private String type;
    private long size;
    private String hospital;
    private String department;
    private String owner;
    private String createTime;
    private String url;
    private String fileName;

    private boolean active;

    @Column(descp = "文件ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "文件名称", value = DE.text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(descp = "文件类型", value = DE.text_de)
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Column(descp = "文件大小", value = DE.long_de)
    public long getSize() {
        return size;
    }

    public void setSize(long size) {
        this.size = size;
    }

    @Column(descp = "所属医院", value = DE.text_de)
    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    @Column(descp = "文件科室", value = DE.text_de)
    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    @Column(descp = "上传人ID", value = DE.id_32)
    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    @Column(descp = "是否可用", value = DE.boolean_de)
    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    @Column(descp = "文件路径", value = DE.text_de)
    public void setUrl(String url) {
        this.url = url;
    }

    public String getFileName() {
        return fileName;
    }

    @Column(descp = "文件名", value = DE.text_de)
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    @Override
    public String getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUrl() {
        return url;
    }

}
