package com.ekexiu.project.storage.system.dao;

import com.ekexiu.project.storage.system.po.User;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.Exclude;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.SetSentence;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.method.operator.Update;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;
import org.jfw.apt.orm.annotation.dao.param.Set;
import org.jfw.apt.orm.annotation.dao.param.UnEquals;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2018/9/11.
 */
@DAO
public interface UserDao {

    @Insert
    int insert(Connection con, User user) throws SQLException;

    @Nullable
    @SelectOne
    User query(Connection con, String id) throws SQLException;

    @Nullable
    @SelectOne
    User querybyAccount(Connection con, String account) throws SQLException;

    @Nullable
    @SelectOne
    User login(Connection con, String account, String passwd) throws SQLException;

    @Update
    @Exclude({"passwd","active"})
    int update(Connection con, User user) throws SQLException;

    @UpdateWith
    @From(User.class)
    int changePw(Connection con, @Set String passwd, String id) throws SQLException;

    @UpdateWith
    @From(User.class)
    @SetSentence("active = '0'")
    int ban(Connection con, String id) throws SQLException;

    @UpdateWith
    @From(User.class)
    @SetSentence("active = '1'")
    int active(Connection con, String id) throws SQLException;

    @Nullable
    @SelectOne
    User queryByAccount(Connection con,@Nullable Boolean active, String account, @Nullable @UnEquals String id) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY CREATE_TIME")
    PageQueryResult<User> pageQuery(Connection con, @Nullable Boolean active, int pageSize, int pageNo) throws SQLException;


}
