package com.ekexiu.project.storage.system.po;

import com.ekexiu.project.storage.base.po.CreateTimeSupported;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.annotation.entry.Unique;
import org.jfw.apt.orm.annotation.entry.Uniques;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2018/9/11.
 */
@Table(descp = "用户表", value = "LUSER")
@PrimaryKey("id")
@Uniques({@Unique(clolumns = "account", name = "UC_LUSER_ACCOUNT")})
public class User implements CreateTimeSupported {

    private String id;
    private String account;
    private String passwd;
    private String name;
    private String hospital;
    private String department;
    private String createTime;

    private boolean active;

    @Column(descp = "用户ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "用户帐号", value = DE.text_de)
    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    @Column(descp = "密码（MD5）", queryable = false, handlerClass = StringHandler.class, dbType = "TEXT")
    public String getPasswd() {
        return passwd;
    }

    public void setPasswd(String passwd) {
        this.passwd = passwd;
    }

    @Column(descp = "用户姓名", value = DE.text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(descp = "所属医院", value = DE.text_de)
    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    @Column(descp = "所属科室", value = DE.text_de)
    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    @Column(descp = "是否可用", value = DE.boolean_de)
    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    @Override
    public String getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
